Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_compile_option_struct Struct Reference

`#include <iseq.h>`

## Data Fields
unsigned int | inline_const_cache: 1
unsigned int | peephole_optimization: 1
unsigned int | tailcall_optimization: 1
unsigned int | specialized_instruction: 1
unsigned int | operands_unification: 1
unsigned int | instructions_unification: 1
unsigned int | stack_caching: 1
unsigned int | frozen_string_literal: 1
unsigned int | debug_frozen_string_literal: 1
unsigned int | coverage_enabled: 1
int | debug_level

## Detailed Description

Definition at line 206 of file iseq.h.

## Field Documentation

## ◆ coverage_enabled

unsigned int rb_compile_option_struct::coverage_enabled

Definition at line 216 of file iseq.h.

## ◆ debug_frozen_string_literal

unsigned int rb_compile_option_struct::debug_frozen_string_literal

Definition at line 215 of file iseq.h.

## ◆ debug_level

int rb_compile_option_struct::debug_level

Definition at line 217 of file iseq.h.

## ◆ frozen_string_literal

unsigned int rb_compile_option_struct::frozen_string_literal

Definition at line 214 of file iseq.h.

## ◆ inline_const_cache

unsigned int rb_compile_option_struct::inline_const_cache

Definition at line 207 of file iseq.h.

## ◆ instructions_unification

unsigned int rb_compile_option_struct::instructions_unification

Definition at line 212 of file iseq.h.

## ◆ operands_unification

unsigned int rb_compile_option_struct::operands_unification

Definition at line 211 of file iseq.h.

## ◆ peephole_optimization

unsigned int rb_compile_option_struct::peephole_optimization

Definition at line 208 of file iseq.h.

## ◆ specialized_instruction

unsigned int rb_compile_option_struct::specialized_instruction

Definition at line 210 of file iseq.h.

## ◆ stack_caching

unsigned int rb_compile_option_struct::stack_caching

Definition at line 213 of file iseq.h.

## ◆ tailcall_optimization

unsigned int rb_compile_option_struct::tailcall_optimization

Definition at line 209 of file iseq.h.

The documentation for this struct was generated from the following files:

- iseq.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h